Ubuntu: unable to install git on ubuntu16.04



Question:

I am trying to install git on Ubuntu 16.04 with sudo apt-get install git:

Use 'sudo apt autoremove' to remove them.  0 upgraded, 0 newly installed, 0 to remove and 27 not upgraded.  2 not fully installed or removed.  After this operation, 0 B of additional disk space will be used.  Do you want to continue? [Y/n] y  Setting up runit (2.1.2-3ubuntu1) ...  start: Unable to connect to Upstart: Failed to connect to socket /com/ubuntu/upstart: Connection refused  dpkg: error processing package runit (--configure):   subprocess installed post-installation script returned error exit status 1  dpkg: dependency problems prevent configuration of git-daemon-run:   git-daemon-run depends on runit; however:    Package runit is not configured yet.  dpkg: error processing package git-daemon-run (--configure):   dependency problems - leaving unconfigured  No apport report written because the error message indicates its a followup error from a previous failure.                            Errors were encountered while processing:   runit   git-daemon-run  E: Sub-process /usr/bin/dpkg returned an error code (1)  

if you have any idea please help


Solution:1

Try running

sudo apt-get update  

then

sudo apt-get install git  

If that doesn't resolve your issue check if you can install it from the Ubuntu software center.

If still facing issues head over to the github page, download zip and install.


Note:If u also have question or solution just comment us below or mail us on toontricks1994@gmail.com
Previous
Next Post »